<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>PasteBuilder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PasteBuilder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/MissingSessionException.html" title="class in com.sk89q.worldedit.session"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/session/PasteBuilder.html" target="_top">Frames</a></li>
<li><a href="PasteBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.session</div>
<h2 title="Class PasteBuilder" class="title">Class PasteBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.session.PasteBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PasteBuilder</span>
extends java.lang.Object</pre>
<div class="block">Builds an operation to paste the contents of a clipboard.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#build--">build</a></span>()</code>
<div class="block">Build the operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#copyBiomes-boolean-">copyBiomes</a></span>(boolean&nbsp;copyBiomes)</code>
<div class="block">Set whether the copy should include source biomes (if available).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#copyEntities-boolean-">copyEntities</a></span>(boolean&nbsp;copyEntities)</code>
<div class="block">Set whether the copy should include source entities.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#ignoreAirBlocks-boolean-">ignoreAirBlocks</a></span>(boolean&nbsp;ignoreAirBlocks)</code>
<div class="block">Set whether air blocks in the source are skipped over when pasting.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#maskSource-com.sk89q.worldedit.function.mask.Mask-">maskSource</a></span>(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)</code>
<div class="block">Set a custom mask of blocks to ignore from the source.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#to-com.sk89q.worldedit.math.BlockVector3-">to</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</code>
<div class="block">Set the target location.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="to-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>to</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a>&nbsp;to(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</pre>
<div class="block">Set the target location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>to</code> - the target location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder instance</dd>
</dl>
</li>
</ul>
<a name="maskSource-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maskSource</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a>&nbsp;maskSource(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)</pre>
<div class="block">Set a custom mask of blocks to ignore from the source.
 This provides a more flexible alternative to <a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html#ignoreAirBlocks-boolean-"><code>ignoreAirBlocks(boolean)</code></a>, for example
 one might want to ignore structure void if copying a Minecraft Structure, etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sourceMask</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder instance</dd>
</dl>
</li>
</ul>
<a name="ignoreAirBlocks-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ignoreAirBlocks</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a>&nbsp;ignoreAirBlocks(boolean&nbsp;ignoreAirBlocks)</pre>
<div class="block">Set whether air blocks in the source are skipped over when pasting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder instance</dd>
</dl>
</li>
</ul>
<a name="copyEntities-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyEntities</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a>&nbsp;copyEntities(boolean&nbsp;copyEntities)</pre>
<div class="block">Set whether the copy should include source entities.
 Note that this is true by default for legacy reasons.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>copyEntities</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder instance</dd>
</dl>
</li>
</ul>
<a name="copyBiomes-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyBiomes</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/session/PasteBuilder.html" title="class in com.sk89q.worldedit.session">PasteBuilder</a>&nbsp;copyBiomes(boolean&nbsp;copyBiomes)</pre>
<div class="block">Set whether the copy should include source biomes (if available).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>copyBiomes</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this builder instance</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;build()</pre>
<div class="block">Build the operation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the operation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/MissingSessionException.html" title="class in com.sk89q.worldedit.session"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/session/PasteBuilder.html" target="_top">Frames</a></li>
<li><a href="PasteBuilder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
